<?php
defined('TYPO3') or die();

call_user_func(function () {
    // Animations
    $animation = [
        'ig_animation' => [
            'exclude' => '1',
            'label' => 'LLL:EXT:ig_animation/Resources/Private/Language/locallang_tca.xlf:tt_content.ig_animation',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'itemsProcFunc' => \Ig\IgAnimation\UserFunc\TcaProcFunc::class .'->yamlAnimationConfig',
                'items' => [],
                'size' => '1',
                'maxitems' => '1',
                'eval' => ''
            ]
        ],
	
        'ig_animation_image' => [
            'exclude' => '1',
            'label' => 'LLL:EXT:ig_animation/Resources/Private/Language/locallang_tca.xlf:tt_content.ig_animation_image',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'itemsProcFunc' => \Ig\IgAnimation\UserFunc\TcaProcFunc::class .'->yamlContentAnimationConfig',
                'items' => [],
                'size' => '1',
                'maxitems' => '1',
                'eval' => ''
            ]
        ],
	
        'ig_lazy_load_images' => [
            'exclude' => '1',
            'label' => 'LLL:EXT:ig_animation/Resources/Private/Language/locallang_tca.xlf:tt_content.ig_lazy_load_images',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'labelChecked' => 'Enabled',
                        'labelUnchecked' => 'Disabled',
                    ]
                ],
            ]
        ],
    ];
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns ('tt_content', $animation);
    // ig_animation_fade_in, ig_animation_fade_out, ig_animation_image, ig_animation_content
    
    // Adding all animation fields to the TCA
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', '--div--;LLL:EXT:ig_animation/Resources/Private/Language/locallang_tca.xlf:tt_content.tabs.ig_animation');
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'ig_animation,ig_animation_image,ig_lazy_load_images');
    //\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'ig_animation_fade_in');
    //\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'ig_animation_fade_out');
    //\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'ig_animation_content');
    //\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'ig_animation_image', 'textpic,image,ximage,ximagegalerie');


});
